Bug 443674 - [overview docker] Regression about refresh delay (compared to 4.x)
Summary: [overview docker] Regression about refresh delay (compared to 4.x)
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Dockers (show other bugs)
Version: 5.0.0-beta2
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-13 16:00 UTC by David REVOY
Modified: 2022-06-28 12:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2021-10-13 16:00:22 UTC
Hi,

Context:
========
I really like the overview docker on Krita 5.x. Especially the 'pin' button to hide buttons and maximize the preview to the full area of the docker! It restores what the docker was designed for historically before being loaded with "navigator" buttons. 

The problem:
============
But I noticed the refresh delay between action on canvas and the docker was increased and it feels too much for me, breaking a bit the purpose of using it as an overview.
- In Krita 4.x: I can count 2 seconds between the canvas stroke and how they appear on the Overview. That was Ok.
- In Krita 5.x: I can count 3 seconds between the canvas brush strokes and how they appear in the Overview...

Expected (if technically possible):
===================================
The delay feels really too long to just check how a brush stroke affect all the artwork. Could it be possible to decrease the duration of this refresh? (at least as in 4.x?)
Comment 1 Halla Rempt 2022-06-28 12:26:36 UTC
Git commit 958a8d7aafd7ac6f693f677cc5be052d60a85b07 by Halla Rempt.
Committed on 28/06/2022 at 12:25.
Pushed by rempt into branch 'master'.

KisIdleWatcher: actually _use_ the delay parameter

A parameter "delay" was added to KisIdleWatcher, but the hard-coded
constant was used instead. This makes it possible to update the
overview widget a bit more aggressively.

M  +1    -2    libs/image/kis_idle_watcher.cpp
M  +1    -1    libs/image/kis_idle_watcher.h
M  +1    -1    plugins/dockers/overview/overviewwidget.cc

https://invent.kde.org/graphics/krita/commit/958a8d7aafd7ac6f693f677cc5be052d60a85b07
Comment 2 Halla Rempt 2022-06-28 12:26:50 UTC
Git commit 036b3bc90e5b3000d5dba4e6b4eb67905ebb596f by Halla Rempt.
Committed on 28/06/2022 at 12:26.
Pushed by rempt into branch 'krita/5.1'.

KisIdleWatcher: actually _use_ the delay parameter

A parameter "delay" was added to KisIdleWatcher, but the hard-coded
constant was used instead. This makes it possible to update the
overview widget a bit more aggressively.
(cherry picked from commit 958a8d7aafd7ac6f693f677cc5be052d60a85b07)

M  +1    -2    libs/image/kis_idle_watcher.cpp
M  +1    -1    libs/image/kis_idle_watcher.h
M  +1    -1    plugins/dockers/overview/overviewwidget.cc

https://invent.kde.org/graphics/krita/commit/036b3bc90e5b3000d5dba4e6b4eb67905ebb596f